Index: inc/core/class.dc.xmlrpc.php
===================================================================
--- inc/core/class.dc.xmlrpc.php	(revision 3731)
+++ inc/core/class.dc.xmlrpc.php	(revision 3874)
@@ -1556,5 +1556,5 @@
     public function wp_getComment($blogid, $username, $password, $commentid)
     {
-        $res = $this->getComments($username, $password, array(), $commentid);
+        $res = $this->getComments($username, $password, [], $commentid);
 
         if (empty($res)) {
@@ -1595,9 +1595,9 @@
         $this->setBlog();
 
-        return array(
+        return [
             'hold'    => 'Unapproved',
             'approve' => 'Approved',
             'spam'    => 'Spam'
-        );
+        ];
     }
 
@@ -1608,5 +1608,5 @@
         dcTrackback::checkURLs($from_url, $to_url);
 
-        $args = array('type' => 'pingback', 'from_url' => $from_url, 'to_url' => $to_url);
+        $args = ['type' => 'pingback', 'from_url' => $from_url, 'to_url' => $to_url];
 
         # Time to get things done...
Index: inc/dbschema/upgrade.php
===================================================================
--- inc/dbschema/upgrade.php	(revision 3867)
+++ inc/dbschema/upgrade.php	(revision 3875)
@@ -118,5 +118,5 @@
         if (version_compare($version, '2.1.6', '<=')) {
             # ie7js has been upgraded
-            $ie7files = array(
+            $ie7files = [
                 'ie7-base64.php ',
                 'ie7-content.htc',
@@ -139,5 +139,5 @@
                 'ie7-standard-p.js',
                 'ie7-xml-extras.js'
-            );
+            ];
             foreach ($ie7files as $f) {
                 @unlink(DC_ROOT . '/admin/js/ie7/' . $f);
@@ -173,26 +173,26 @@
         if (version_compare($version, '2.3', '<')) {
             # Add global favorites
-            $init_fav = array();
-
-            $init_fav['new_post'] = array('new_post', 'New entry', 'post.php',
+            $init_fav = [];
+
+            $init_fav['new_post'] = ['new_post', 'New entry', 'post.php',
                 'images/menu/edit.png', 'images/menu/edit-b.png',
-                'usage,contentadmin', null, null);
-            $init_fav['newpage'] = array('newpage', 'New page', 'plugin.php?p=pages&amp;act=page',
+                'usage,contentadmin', null, null];
+            $init_fav['newpage'] = ['newpage', 'New page', 'plugin.php?p=pages&amp;act=page',
                 'index.php?pf=pages/icon-np.png', 'index.php?pf=pages/icon-np-big.png',
-                'contentadmin,pages', null, null);
-            $init_fav['media'] = array('media', 'Media manager', 'media.php',
+                'contentadmin,pages', null, null];
+            $init_fav['media'] = ['media', 'Media manager', 'media.php',
                 'images/menu/media.png', 'images/menu/media-b.png',
-                'media,media_admin', null, null);
-            $init_fav['widgets'] = array('widgets', 'Presentation widgets', 'plugin.php?p=widgets',
+                'media,media_admin', null, null];
+            $init_fav['widgets'] = ['widgets', 'Presentation widgets', 'plugin.php?p=widgets',
                 'index.php?pf=widgets/icon.png', 'index.php?pf=widgets/icon-big.png',
-                'admin', null, null);
-            $init_fav['blog_theme'] = array('blog_theme', 'Blog appearance', 'blog_theme.php',
+                'admin', null, null];
+            $init_fav['blog_theme'] = ['blog_theme', 'Blog appearance', 'blog_theme.php',
                 'images/menu/themes.png', 'images/menu/blog-theme-b.png',
-                'admin', null, null);
+                'admin', null, null];
 
             $count = 0;
             foreach ($init_fav as $k => $f) {
-                $t = array('name' => $f[0], 'title'       => $f[1], 'url' => $f[2], 'small-icon' => $f[3],
-                    'large-icon'      => $f[4], 'permissions' => $f[5], 'id'  => $f[6], 'class'      => $f[7]);
+                $t = ['name' => $f[0], 'title'       => $f[1], 'url' => $f[2], 'small-icon' => $f[3],
+                    'large-icon'      => $f[4], 'permissions' => $f[5], 'id'  => $f[6], 'class'      => $f[7]];
                 $sqlstr = 'INSERT INTO ' . $core->prefix . 'pref (pref_id, user_id, pref_ws, pref_value, pref_type, pref_label) VALUES (' .
                 '\'' . sprintf("g%03s", $count) . '\',NULL,\'favorites\',\'' . serialize($t) . '\',\'string\',NULL);';
@@ -202,5 +202,5 @@
 
             # A bit of housecleaning for no longer needed files
-            $remfiles = array(
+            $remfiles = [
                 'admin/style/cat-bg.png',
                 'admin/style/footer-bg.png',
@@ -272,6 +272,6 @@
                 'themes/default/tpl/_mp3_player.html',
                 'themes/default/tpl/_top.html'
-            );
-            $remfolders = array(
+            ];
+            $remfolders = [
                 'inc/clearbricks/common',
                 'inc/clearbricks/dblayer',
@@ -296,5 +296,5 @@
                 'inc/clearbricks',
                 'themes/default/tpl'
-            );
+            ];
 
             foreach ($remfiles as $f) {
@@ -380,8 +380,8 @@
 
             # Add date and time formats
-            $date_formats = array('%Y-%m-%d', '%m/%d/%Y', '%d/%m/%Y', '%Y/%m/%d', '%d.%m.%Y', '%b %e %Y', '%e %b %Y', '%Y %b %e',
+            $date_formats = ['%Y-%m-%d', '%m/%d/%Y', '%d/%m/%Y', '%Y/%m/%d', '%d.%m.%Y', '%b %e %Y', '%e %b %Y', '%Y %b %e',
                 '%a, %Y-%m-%d', '%a, %m/%d/%Y', '%a, %d/%m/%Y', '%a, %Y/%m/%d', '%B %e, %Y', '%e %B, %Y', '%Y, %B %e', '%e. %B %Y',
-                '%A, %B %e, %Y', '%A, %e %B, %Y', '%A, %Y, %B %e', '%A, %Y, %B %e', '%A, %e. %B %Y');
-            $time_formats = array('%H:%M', '%I:%M', '%l:%M', '%Hh%M', '%Ih%M', '%lh%M');
+                '%A, %B %e, %Y', '%A, %e %B, %Y', '%A, %Y, %B %e', '%A, %Y, %B %e', '%A, %e. %B %Y'];
+            $time_formats = ['%H:%M', '%I:%M', '%l:%M', '%Hh%M', '%Ih%M', '%lh%M'];
             if (strtoupper(substr(PHP_OS, 0, 3)) == 'WIN') {
                 $date_formats = array_map(function ($f) {return str_replace('%e', '%#d', $f);}, $date_formats);
@@ -573,5 +573,5 @@
 
             # A bit of housecleaning for no longer needed files
-            $remfiles = array(
+            $remfiles = [
                 'admin/js/jquery/jquery.modal.js',
                 'admin/style/modal/close.png',
@@ -596,10 +596,10 @@
                 'plugins/tags/js/jquery.autocomplete.js',
                 'theme/ductile/ie.css'
-            );
-            $remfolders = array(
+            ];
+            $remfolders = [
                 'admin/style/modal',
                 'admin/js/tool-man',
                 'admin/js/ie7'
-            );
+            ];
 
             foreach ($remfiles as $f) {
@@ -652,4 +652,23 @@
                 "   OR setting_value = '/\\.(phps?|pht(ml)?|phl|s?html?|js|htaccess)[0-9]*$/i'";
             $core->con->execute($strReq);
+        }
+
+        if (version_compare($version, '2.15', '<')) {
+            # switch from jQuery 1.11.3 to 1.12.4
+            $strReq = 'UPDATE ' . $core->prefix . 'setting ' .
+                " SET setting_value = '1.12.4' " .
+                " WHERE setting_id = 'jquery_version' " .
+                " AND setting_ns = 'system' " .
+                " AND setting_value = '1.11.3' ";
+            $core->con->execute($strReq);
+
+            # A bit of housecleaning for no longer needed files
+            $remfiles = [
+                'plugins/dcLegacyEditor/tpl/index.tpl',
+                'plugins/dcCKEditor/tpl/index.tpl'
+            ];
+            foreach ($remfiles as $f) {
+                @unlink(DC_ROOT . '/' . $f);
+            }
         }
 
@@ -678,5 +697,5 @@
             $value = @unserialize($rs->setting_value);
             if (!$value) {
-                $value = array();
+                $value = [];
             }
             settype($value, 'array');
@@ -713,5 +732,5 @@
             $value = @unserialize($rs->pref_value);
             if (!$value) {
-                $value = array();
+                $value = [];
             }
             settype($value, 'array');
Index: inc/js/jquery/1.12.4/jquery.cookie.js
===================================================================
--- inc/js/jquery/1.12.4/jquery.cookie.js	(revision 3829)
+++ inc/js/jquery/1.12.4/jquery.cookie.js	(revision 3829)
@@ -0,0 +1,117 @@
+/*!
+ * jQuery Cookie Plugin v1.4.1
+ * https://github.com/carhartl/jquery-cookie
+ *
+ * Copyright 2006, 2014 Klaus Hartl
+ * Released under the MIT license
+ */
+(function (factory) {
+	if (typeof define === 'function' && define.amd) {
+		// AMD
+		define(['jquery'], factory);
+	} else if (typeof exports === 'object') {
+		// CommonJS
+		factory(require('jquery'));
+	} else {
+		// Browser globals
+		factory(jQuery);
+	}
+}(function ($) {
+
+	var pluses = /\+/g;
+
+	function encode(s) {
+		return config.raw ? s : encodeURIComponent(s);
+	}
+
+	function decode(s) {
+		return config.raw ? s : decodeURIComponent(s);
+	}
+
+	function stringifyCookieValue(value) {
+		return encode(config.json ? JSON.stringify(value) : String(value));
+	}
+
+	function parseCookieValue(s) {
+		if (s.indexOf('"') === 0) {
+			// This is a quoted cookie as according to RFC2068, unescape...
+			s = s.slice(1, -1).replace(/\\"/g, '"').replace(/\\\\/g, '\\');
+		}
+
+		try {
+			// Replace server-side written pluses with spaces.
+			// If we can't decode the cookie, ignore it, it's unusable.
+			// If we can't parse the cookie, ignore it, it's unusable.
+			s = decodeURIComponent(s.replace(pluses, ' '));
+			return config.json ? JSON.parse(s) : s;
+		} catch(e) {}
+	}
+
+	function read(s, converter) {
+		var value = config.raw ? s : parseCookieValue(s);
+		return $.isFunction(converter) ? converter(value) : value;
+	}
+
+	var config = $.cookie = function (key, value, options) {
+
+		// Write
+
+		if (arguments.length > 1 && !$.isFunction(value)) {
+			options = $.extend({}, config.defaults, options);
+
+			if (typeof options.expires === 'number') {
+				var days = options.expires, t = options.expires = new Date();
+				t.setTime(+t + days * 864e+5);
+			}
+
+			return (document.cookie = [
+				encode(key), '=', stringifyCookieValue(value),
+				options.expires ? '; expires=' + options.expires.toUTCString() : '', // use expires attribute, max-age is not supported by IE
+				options.path    ? '; path=' + options.path : '',
+				options.domain  ? '; domain=' + options.domain : '',
+				options.secure  ? '; secure' : ''
+			].join(''));
+		}
+
+		// Read
+
+		var result = key ? undefined : {};
+
+		// To prevent the for loop in the first place assign an empty array
+		// in case there are no cookies at all. Also prevents odd result when
+		// calling $.cookie().
+		var cookies = document.cookie ? document.cookie.split('; ') : [];
+
+		for (var i = 0, l = cookies.length; i < l; i++) {
+			var parts = cookies[i].split('=');
+			var name = decode(parts.shift());
+			var cookie = parts.join('=');
+
+			if (key && key === name) {
+				// If second argument (value) is a function it's a converter...
+				result = read(cookie, value);
+				break;
+			}
+
+			// Prevent storing a cookie that we couldn't decode.
+			if (!key && (cookie = read(cookie)) !== undefined) {
+				result[name] = cookie;
+			}
+		}
+
+		return result;
+	};
+
+	config.defaults = {};
+
+	$.removeCookie = function (key, options) {
+		if ($.cookie(key) === undefined) {
+			return false;
+		}
+
+		// Must not alter options, thus extending a fresh object...
+		$.cookie(key, '', $.extend({}, options, { expires: -1 }));
+		return !$.cookie(key);
+	};
+
+}));
Index: inc/js/jquery/3.3.1/jquery.cookie.js
===================================================================
--- inc/js/jquery/3.3.1/jquery.cookie.js	(revision 3829)
+++ inc/js/jquery/3.3.1/jquery.cookie.js	(revision 3829)
@@ -0,0 +1,117 @@
+/*!
+ * jQuery Cookie Plugin v1.4.1
+ * https://github.com/carhartl/jquery-cookie
+ *
+ * Copyright 2006, 2014 Klaus Hartl
+ * Released under the MIT license
+ */
+(function (factory) {
+	if (typeof define === 'function' && define.amd) {
+		// AMD
+		define(['jquery'], factory);
+	} else if (typeof exports === 'object') {
+		// CommonJS
+		factory(require('jquery'));
+	} else {
+		// Browser globals
+		factory(jQuery);
+	}
+}(function ($) {
+
+	var pluses = /\+/g;
+
+	function encode(s) {
+		return config.raw ? s : encodeURIComponent(s);
+	}
+
+	function decode(s) {
+		return config.raw ? s : decodeURIComponent(s);
+	}
+
+	function stringifyCookieValue(value) {
+		return encode(config.json ? JSON.stringify(value) : String(value));
+	}
+
+	function parseCookieValue(s) {
+		if (s.indexOf('"') === 0) {
+			// This is a quoted cookie as according to RFC2068, unescape...
+			s = s.slice(1, -1).replace(/\\"/g, '"').replace(/\\\\/g, '\\');
+		}
+
+		try {
+			// Replace server-side written pluses with spaces.
+			// If we can't decode the cookie, ignore it, it's unusable.
+			// If we can't parse the cookie, ignore it, it's unusable.
+			s = decodeURIComponent(s.replace(pluses, ' '));
+			return config.json ? JSON.parse(s) : s;
+		} catch(e) {}
+	}
+
+	function read(s, converter) {
+		var value = config.raw ? s : parseCookieValue(s);
+		return $.isFunction(converter) ? converter(value) : value;
+	}
+
+	var config = $.cookie = function (key, value, options) {
+
+		// Write
+
+		if (arguments.length > 1 && !$.isFunction(value)) {
+			options = $.extend({}, config.defaults, options);
+
+			if (typeof options.expires === 'number') {
+				var days = options.expires, t = options.expires = new Date();
+				t.setTime(+t + days * 864e+5);
+			}
+
+			return (document.cookie = [
+				encode(key), '=', stringifyCookieValue(value),
+				options.expires ? '; expires=' + options.expires.toUTCString() : '', // use expires attribute, max-age is not supported by IE
+				options.path    ? '; path=' + options.path : '',
+				options.domain  ? '; domain=' + options.domain : '',
+				options.secure  ? '; secure' : ''
+			].join(''));
+		}
+
+		// Read
+
+		var result = key ? undefined : {};
+
+		// To prevent the for loop in the first place assign an empty array
+		// in case there are no cookies at all. Also prevents odd result when
+		// calling $.cookie().
+		var cookies = document.cookie ? document.cookie.split('; ') : [];
+
+		for (var i = 0, l = cookies.length; i < l; i++) {
+			var parts = cookies[i].split('=');
+			var name = decode(parts.shift());
+			var cookie = parts.join('=');
+
+			if (key && key === name) {
+				// If second argument (value) is a function it's a converter...
+				result = read(cookie, value);
+				break;
+			}
+
+			// Prevent storing a cookie that we couldn't decode.
+			if (!key && (cookie = read(cookie)) !== undefined) {
+				result[name] = cookie;
+			}
+		}
+
+		return result;
+	};
+
+	config.defaults = {};
+
+	$.removeCookie = function (key, options) {
+		if ($.cookie(key) === undefined) {
+			return false;
+		}
+
+		// Must not alter options, thus extending a fresh object...
+		$.cookie(key, '', $.extend({}, options, { expires: -1 }));
+		return !$.cookie(key);
+	};
+
+}));
Index: inc/load_plugin_file.php
===================================================================
--- inc/load_plugin_file.php	(revision 3731)
+++ inc/load_plugin_file.php	(revision 3874)
@@ -56,5 +56,5 @@
 }
 
-$allow_types = array('png', 'jpg', 'jpeg', 'gif', 'css', 'js', 'swf', 'svg');
+$allow_types = ['png', 'jpg', 'jpeg', 'gif', 'css', 'js', 'swf', 'svg'];
 
 $pf = path::clean($_GET['pf']);
@@ -89,5 +89,5 @@
 
 http::$cache_max_age = 7 * 24 * 60 * 60; // One week cache for plugin's files served by ?pf=… is better than old 2 hours
-http::cache(array_merge(array($PF), get_included_files()));
+http::cache(array_merge([$PF], get_included_files()));
 
 header('Content-Type: ' . files::getMimeType($PF));
Index: inc/load_var_file.php
===================================================================
--- inc/load_var_file.php	(revision 3731)
+++ inc/load_var_file.php	(revision 3874)
@@ -56,5 +56,5 @@
 }
 
-$allow_types = array('png', 'jpg', 'jpeg', 'gif', 'css', 'js', 'swf', 'svg', 'html', 'xml', 'json', 'txt');
+$allow_types = ['png', 'jpg', 'jpeg', 'gif', 'css', 'js', 'swf', 'svg', 'html', 'xml', 'json', 'txt'];
 
 $vf = path::clean($_GET['vf']);
@@ -74,5 +74,5 @@
 
 http::$cache_max_age = 7 * 24 * 60 * 60; // One week cache for var files served by ?vf=…
-http::cache(array_merge(array($VF), get_included_files()));
+http::cache(array_merge([$VF], get_included_files()));
 
 header('Content-Type: ' . files::getMimeType($VF));
Index: inc/prepend.php
===================================================================
--- inc/prepend.php	(revision 3855)
+++ inc/prepend.php	(revision 3874)
@@ -102,6 +102,6 @@
 # Disallow every special wrapper
 if (function_exists('stream_wrapper_unregister')) {
-    $special_wrappers = array_intersect(array('http', 'https', 'ftp', 'ftps', 'ssh2.shell', 'ssh2.exec',
-        'ssh2.tunnel', 'ssh2.sftp', 'ssh2.scp', 'ogg', 'expect', 'phar'), stream_get_wrappers());
+    $special_wrappers = array_intersect(['http', 'https', 'ftp', 'ftps', 'ssh2.shell', 'ssh2.exec',
+        'ssh2.tunnel', 'ssh2.sftp', 'ssh2.scp', 'ogg', 'expect', 'phar'], stream_get_wrappers());
     foreach ($special_wrappers as $p) {
         @stream_wrapper_unregister($p);
@@ -144,5 +144,5 @@
 # Constants
 define('DC_ROOT', path::real(dirname(__FILE__) . '/..'));
-define('DC_VERSION', '2.14.2');
+define('DC_VERSION', '2.15-dev');
 define('DC_DIGESTS', dirname(__FILE__) . '/digests');
 define('DC_L10N_ROOT', dirname(__FILE__) . '/../locales');
@@ -279,17 +279,17 @@
 }
 
-$core->url->registerDefault(array('dcUrlHandlers', 'home'));
-$core->url->registerError(array('dcUrlHandlers', 'default404'));
-$core->url->register('lang', '', '^([a-zA-Z]{2}(?:-[a-z]{2})?(?:/page/[0-9]+)?)$', array('dcUrlHandlers', 'lang'));
-$core->url->register('post', 'post', '^post/(.+)$', array('dcUrlHandlers', 'post'));
-$core->url->register('preview', 'preview', '^preview/(.+)$', array('dcUrlHandlers', 'preview'));
-$core->url->register('category', 'category', '^category/(.+)$', array('dcUrlHandlers', 'category'));
-$core->url->register('archive', 'archive', '^archive(/.+)?$', array('dcUrlHandlers', 'archive'));
-
-$core->url->register('feed', 'feed', '^feed/(.+)$', array('dcUrlHandlers', 'feed'));
-$core->url->register('trackback', 'trackback', '^trackback/(.+)$', array('dcUrlHandlers', 'trackback'));
-$core->url->register('webmention', 'webmention', '^webmention(/.+)?$', array('dcUrlHandlers', 'webmention'));
-$core->url->register('rsd', 'rsd', '^rsd$', array('dcUrlHandlers', 'rsd'));
-$core->url->register('xmlrpc', 'xmlrpc', '^xmlrpc/(.+)$', array('dcUrlHandlers', 'xmlrpc'));
+$core->url->registerDefault(['dcUrlHandlers', 'home']);
+$core->url->registerError(['dcUrlHandlers', 'default404']);
+$core->url->register('lang', '', '^([a-zA-Z]{2}(?:-[a-z]{2})?(?:/page/[0-9]+)?)$', ['dcUrlHandlers', 'lang']);
+$core->url->register('post', 'post', '^post/(.+)$', ['dcUrlHandlers', 'post']);
+$core->url->register('preview', 'preview', '^preview/(.+)$', ['dcUrlHandlers', 'preview']);
+$core->url->register('category', 'category', '^category/(.+)$', ['dcUrlHandlers', 'category']);
+$core->url->register('archive', 'archive', '^archive(/.+)?$', ['dcUrlHandlers', 'archive']);
+
+$core->url->register('feed', 'feed', '^feed/(.+)$', ['dcUrlHandlers', 'feed']);
+$core->url->register('trackback', 'trackback', '^trackback/(.+)$', ['dcUrlHandlers', 'trackback']);
+$core->url->register('webmention', 'webmention', '^webmention(/.+)?$', ['dcUrlHandlers', 'webmention']);
+$core->url->register('rsd', 'rsd', '^rsd$', ['dcUrlHandlers', 'rsd']);
+$core->url->register('xmlrpc', 'xmlrpc', '^xmlrpc/(.+)$', ['dcUrlHandlers', 'xmlrpc']);
 
 // Should use dcAdminURL class, but only in admin -> to be moved to public/prepend.php and admin/prepend.php ?
@@ -306,5 +306,5 @@
 
 # Register supplemental mime types
-files::registerMimeTypes(array(
+files::registerMimeTypes([
     // Audio
     'aac'  => 'audio/aac',
@@ -316,5 +316,5 @@
     'm4p'  => 'video/mp4',
     'webm' => 'video/webm'
-));
+]);
 
 # Shutdown
